ru.bitel.bgbilling.modules.voice.access.om.event

## Class OmVoiceAccountModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.voice.access.om.event.OmVoiceAccountModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmVoiceAccountModifyEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmVoiceAccountModifyEvent()`
    `OmVoiceAccountModifyEvent(int moduleId, int deviceId, VoiceAccount oldAccount, VoiceAccount newAccount, short newState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getNewState()`
    `boolean` | `isFireDeviceStateCnanged()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setFireDeviceStateCnanged(boolean fireDeviceStateCnanged)`
    `ru.bitel.bgbilling.modules.voice.access.om.AccountOrderEvent` | `toAccountOrderEvent(ru.bitel.bgbilling.modules.voice.runtime.VoiceApplication application, java.sql.Connection con)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmVoiceAccountModifyEvent

          public OmVoiceAccountModifyEvent()

    - #### OmVoiceAccountModifyEvent

          public OmVoiceAccountModifyEvent(int moduleId,
                                           int deviceId,
                                           VoiceAccount oldAccount,
                                           VoiceAccount newAccount,
                                           short newState)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### toAccountOrderEvent

          public ru.bitel.bgbilling.modules.voice.access.om.AccountOrderEvent toAccountOrderEvent(ru.bitel.bgbilling.modules.voice.runtime.VoiceApplication application,
                                                                                                  java.sql.Connection con)
                                                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNewState

          public short getNewState()

    - #### isFireDeviceStateCnanged

          public boolean isFireDeviceStateCnanged()

    - #### setFireDeviceStateCnanged

          public void setFireDeviceStateCnanged(boolean fireDeviceStateCnanged)